<?php

    if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
    
    class WPH_module_security_vulnerabilities extends WPH_module
        {
            var $class_component;
             
            function use_tabs()
                {
                    
                    return FALSE;
                }
            
            function get_module_id()
                {
                    
                    return 'vulnerabilities';
                }
                
            function get_module_slug()
                {
                    
                    return 'wp-hide-security-vulnerabilities';   
                }
    
            function get_interface_menu_data()
                {
                    $interface_data                     =   array();
                    
                    $interface_data['menu_title']       =   __('<span class="wph-info">Security&rarr;</span> Vulnerabilities',    'wp-hide-security-enhancer');
                    $interface_data['menu_slug']        =   self::get_module_slug();
                    $interface_data['menu_position']    =   72;
                    
                    return $interface_data;
                }
    
            function get_interface_data()
                {
      
                    $interface_data                     =   array();
                    
                    $interface_data['title']              =   __('WP Hide & Security Enhancer',    'wp-hide-security-enhancer') . ' <span class="plugin-mark">PRO</span> - ' . __('Vulnerabilities',    'wp-hide-security-enhancer');
                    $interface_data['description']        =   '';
                    $interface_data['handle_title']       =   '';
                    
                    return $interface_data;
                    
                }
            
            function init()
                {
                    include(WPH_PATH . "/modules/components/security-vulnerabilities.php");
                    $this->class_component    =   new WPH_component_security_vulnerabilities();                    
                }
            
            function admin_enqueue_scripts( $hook )
                {
                    if ( $hook  !== 'wp-hide-pro_page_wp-hide-security-vulnerabilities' )
                        return;
                        
                    $this->class_component->admin_enqueue_scripts();
                }
            
            function output_html()
                {
                    $this->class_component->interface_html();
                }
                
                 
                
        }
    
 
?>